;
;
; ==================================================
;
;   Irq_308.asm     Axiom M68EVB08GB60 
;                                 
;   Version:        1.0   Released 03/04/2003
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Platform:       Axiom M68EVB08GB60 AXM-0308
;   Purpose:        Irq Test
; ==================================================
;
; Subroutines 
;
; Irq Switch Test
; 
; 
Irq_308:


           bil    Irq_308F     ; if Irq is low then fail
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF

           jsr    Sci1Str3
           fdb    MIRQ         ; IRQ Test
           fdb    MSwitch
           fdb    MTest        
           jsr    Sci1Str6     ; Press IRQ Button and Release
           fdb    MCRLF        ;
           fdb    MPress       ; 
           fdb    MIRQ         ; 
           fdb    MButton      ;
           fdb    Mand
           fdb    MRelease 
Irq308L:
           bih    Irq308L      ; wait for Irq button 
           jsr    Passed
           rts
;
;
Irq_308I:
           mov    #$55,$0080    ; signal interrupt
           pula                 ; get CCR
           ora    #$04          ; Set IRQ
           psha                 ; push ccr on stack
           rti
;
;
Irq_308F:
          jsr  Failed
          rts
;
;